IOSS 2.0

Public Member Functions | Protected Member Functions | Private Types | Private Attributes | Friends | List of all members
Iotr::Tensor Class Reference

`#include <Iotr_Tensor.h>`

Inheritance diagram for Iotr::Tensor:
[legend]
Collaboration diagram for Iotr::Tensor:
[legend]

## Public Member Functions
const Ioss::VariableType * | output_storage (const Ioss::VariableType *in) const override
int | output_count (int in) const override
Public Member Functions inherited from Ioss::Transform
virtual | ~Transform ()
bool | execute (const Ioss::Field &field, void *data)
virtual void | set_property (const std::string &name, int value)
virtual void | set_property (const std::string &name, double value)
virtual void | set_properties (const std::string &name, const std::vector< int > &values)
virtual void | set_properties (const std::string &name, const std::vector< double > &values)

## Protected Member Functions
| Tensor (const std::string &type)
bool | internal_execute (const Ioss::Field &field, void *data) override
Protected Member Functions inherited from Ioss::Transform
| Transform ()

## Private Types
enum | TranType { INVALID, TRACE, SPHERICAL, DEVIATOR, MAGNITUDE, INVARIANTS, INVARIANT1, INVARIANT2, INVARIANT3 }

## Private Attributes
TranType | type_

## Friends
class | Tensor_Factory

## Member Enumeration Documentation

## ◆ TranType

enum Iotr::Tensor::TranType
| private

Enumerator
INVALID |
TRACE |
SPHERICAL |
DEVIATOR |
MAGNITUDE |
INVARIANTS |
INVARIANT1 |
INVARIANT2 |
INVARIANT3 |

## Constructor & Destructor Documentation

## ◆ Tensor()

Iotr::Tensor::Tensor | ( | const std::string & | type | ) |
| explicitprotected

## Member Function Documentation

## ◆ internal_execute()

bool Iotr::Tensor::internal_execute | ( | const Ioss::Field & | field,
|  | void * | data
| ) |  |
| overrideprotectedvirtual

Implements Ioss::Transform.

## ◆ output_count()

int Iotr::Tensor::output_count | ( | int | in | ) | const
| overridevirtual

Implements Ioss::Transform.

## ◆ output_storage()

const Ioss::VariableType * Iotr::Tensor::output_storage | ( | const Ioss::VariableType * | in | ) | const
| overridevirtual

Implements Ioss::Transform.

## Friends And Related Function Documentation

## ◆ Tensor_Factory

friend class Tensor_Factory
| friend

## Member Data Documentation

## ◆ type_

TranType Iotr::Tensor::type_
| private

The documentation for this class was generated from the following files:

- src/transform/Iotr_Tensor.h
- src/transform/Iotr_Tensor.C